##
##  uvscan.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_engine       4.1.6
%define       V_engine_dist1 4.16
%define       V_engine_dist2 416
%define       V_datfiles     4242

#   package information
Name:         uvscan
Summary:      McAfee VirusScan
URL:          http://www.mcafee-at-home.com/
Vendor:       Network Associates, Inc (NAI)
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Filesystem
License:      Commercial/Free-Trial
Version:      %{V_engine}.%{V_datfiles}
Release:      20030112

#   list of sources
Source0:      ftp://ftp.nai.com/pub/antivirus/datfiles/4.x/dat-%{V_datfiles}.tar
Source1:      http://download.nai.com/products/evaluation/virusscan/english/cmdline/bsd/version_%{V_engine_dist1}/vbsd%{V_engine_dist2}e.tar.Z
Source2:      http://download.nai.com/products/evaluation/virusscan/english/cmdline/linux/version_%{V_engine_dist}/vlnx%{V_engine_dist2}e.tar.Z
Source3:      http://download.nai.com/products/evaluation/virusscan/english/cmdline/sun/version_%{V_engine_dist}/vsun%{V_engine_dist2}e.tar.Z
Source4:      uvscan.sh
%NoSource     0
%NoSource     1
%NoSource     2
%NoSource     3

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030108
PreReq:       OpenPKG, openpkg >= 20030108
AutoReq:      no
AutoReqProv:  no

%description
    This is the free-trail version of the NAI McAfee VirusScan 4
    command line virus scanner for Unix.

%prep
    %integrity
    %setup -q -c -T
    case "%{l_target}" in
        *-freebsd* ) engine="%{SOURCE1}" ;;
        *-linux*   ) engine="%{SOURCE2}" ;;
        *-solaris* ) engine="%{SOURCE3}" ;;
        * ) echo "Sorry, platform %{l_target} not supported" 1>&2; exit 1 ;;
    esac
    ( mkdir engine; cd engine
      %{l_gzip} -d -c $engine | %{l_tar} xf -
    )
    ( mkdir datfiles; cd datfiles;
      %{l_tar} xf %{SOURCE0}
    )

%build
    #   no-op

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/uvscan \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    cp datfiles/*.dat engine/
    ( cd engine
      (echo "n"; echo "n"; echo "n"; echo "n"; echo "n") |\
      ./install-uvscan $RPM_BUILD_ROOT%{l_prefix}/libexec/uvscan/
    )
    rm -f $RPM_BUILD_ROOT%{l_prefix}/libexec/uvscan/uninstall-uvscan
    mv  $RPM_BUILD_ROOT%{l_prefix}/libexec/uvscan/uvscan.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/uvscan.1
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE uvscan.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/uvscan
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    #rm -rf $RPM_BUILD_ROOT

